API ReferenceReport
Vacation report by date
Vacation report by date
Authorization
apiKey Authorization<token>
Value for the Authorization header parameter.
In: header
Query Parameters
userIds[]?array<>
Ids of users that VacationReport is going to be returned for. If empty - return all possible.
vacationTypeIds[]?array<>
Ids of VacationTypes. If empty - return all.
dateStart*string
Format
date-timedateEnd*string
Format
date-timeResponse Body
curl -X GET "https://example.com/calendar/vacation-reports/by-date?dateStart=2019-08-24T14%3A15%3A22Z&dateEnd=2019-08-24T14%3A15%3A22Z"[ { "date": "2019-08-24T14:15:22Z", "vacationUserAndTypeOutput": [ { "calendarUserOutput": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "phoneNumber": "string", "pictureSm": "string", "pictureLg": "string", "canLogIn": true, "isExternal": true, "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "jobPositionName": "string", "decorator": "string" }, "vacationTypeOutput": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "decrementVacation": true, "isActive": true } } ] }]